Package com.mockobjects.servlet

# Class MockHttpServletResponse

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.servlet.MockHttpServletResponse

All Implemented Interfaces:
  `Verifiable`

public class MockHttpServletResponse extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockHttpServletResponse()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCookie(Cookie arg1)`
Not Implemented
`void`
`addDateHeader(String arg1, long arg2)`
Not Implemented
`void`
`addHeader(String arg1, String arg2)`
Not Implemented
`void`
`addIntHeader(String arg1, int arg2)`
Not Implemented
`boolean`
`containsHeader(String arg1)`
Not Implemented
`String`
`encodeRedirectUrl(String arg1)`
Not Implemented
`String`
`encodeRedirectURL(String arg1)`
Not Implemented
`String`
`encodeUrl(String arg1)`
Not Implemented
`String`
`encodeURL(String arg1)`
Not Implemented
`void`
`flushBuffer()`
Not Implemented
`int`
`getBufferSize()`
Not Implemented
`String`
`getCharacterEncoding()`
Not Implemented
`Locale`
`getLocale()`
Not Implemented
`ServletOutputStream`
`getOutputStream()`
`String`
`getOutputStreamContents()`
`PrintWriter`
`getWriter()`
`boolean`
`isCommitted()`
Not Implemented
`void`
`reset()`
Not Implemented
`void`
`resetBuffer()`
Not Implemented
`void`
`sendError(int anErrorCode)`
`void`
`sendError(int anErrorCode, String anErrorMessage)`
`void`
`sendRedirect(String aURL)`
`void`
`setBufferSize(int arg1)`
Not Implemented
`void`
`setContentLength(int length)`
`void`
`setContentType(String contentType)`
`void`
`setDateHeader(String arg1, long arg2)`
Not Implemented
`void`
`setExpectedContentLength(int length)`
`void`
`setExpectedContentType(String contentType)`
`void`
`setExpectedError(int anErrorCode)`
`void`
`setExpectedError(int anErrorCode, String anErrorMessage)`
`void`
`setExpectedErrorNothing()`
`void`
`setExpectedHeader(String key, String value)`
`void`
`setExpectedRedirect(String aURL)`
`void`
`setExpectedSetStatusCalls(int callCount)`
`void`
`setHeader(String key, String value)`
`void`
`setIntHeader(String arg1, int arg2)`
Not Implemented
`void`
`setLocale(Locale arg1)`
Not Implemented
`void`
`setStatus(int status)`
`void`
`setStatus(int arg1, String arg2)`
Not Implemented
`void`
`setupOutputStream(MockServletOutputStream anOutputStream)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockHttpServletResponse

public MockHttpServletResponse()

## Method Details

### addCookie

public void addCookie(Cookie arg1)
Not Implemented

### addDateHeader

public void addDateHeader(String arg1, long arg2)
Not Implemented

### addHeader

public void addHeader(String arg1, String arg2)
Not Implemented

### addIntHeader

public void addIntHeader(String arg1, int arg2)
Not Implemented

### containsHeader

public boolean containsHeader(String arg1)
Not Implemented

### encodeRedirectUrl

public String encodeRedirectUrl(String arg1)
Not Implemented

### encodeRedirectURL

public String encodeRedirectURL(String arg1)
Not Implemented

### encodeUrl

public String encodeUrl(String arg1)
Not Implemented

### encodeURL

public String encodeURL(String arg1)
Not Implemented

### flushBuffer

public void flushBuffer() throws IOException
Not Implemented

Throws:
  `IOException`

### getBufferSize

public int getBufferSize()
Not Implemented

### getCharacterEncoding

public String getCharacterEncoding()
Not Implemented

### getLocale

public Locale getLocale()
Not Implemented

### getOutputStream

public ServletOutputStream getOutputStream() throws IOException

Throws:
  `IOException`

### getOutputStreamContents

public String getOutputStreamContents()

### getWriter

public PrintWriter getWriter() throws IOException

Throws:
  `IOException`

### isCommitted

public boolean isCommitted()
Not Implemented

### reset

public void reset()
Not Implemented

### resetBuffer

public void resetBuffer()
Not Implemented

### setExpectedError

public void setExpectedError(int anErrorCode)

### setExpectedError

public void setExpectedError(int anErrorCode, String anErrorMessage)

### setExpectedErrorNothing

public void setExpectedErrorNothing()

### sendError

public void sendError(int anErrorCode) throws IOException

Throws:
  `IOException`

### sendError

public void sendError(int anErrorCode, String anErrorMessage) throws IOException

Throws:
  `IOException`

### sendRedirect

public void sendRedirect(String aURL) throws IOException

Throws:
  `IOException`

### setBufferSize

public void setBufferSize(int arg1)
Not Implemented

### setContentLength

public void setContentLength(int length)

### setExpectedContentLength

public void setExpectedContentLength(int length)

### setContentType

public void setContentType(String contentType)

### setDateHeader

public void setDateHeader(String arg1, long arg2)
Not Implemented

### setExpectedContentType

public void setExpectedContentType(String contentType)

### setExpectedHeader

public void setExpectedHeader(String key, String value)

### setExpectedRedirect

public void setExpectedRedirect(String aURL) throws IOException

Throws:
  `IOException`

### setExpectedSetStatusCalls

public void setExpectedSetStatusCalls(int callCount)

### setHeader

public void setHeader(String key, String value)

### setIntHeader

public void setIntHeader(String arg1, int arg2)
Not Implemented

### setLocale

public void setLocale(Locale arg1)
Not Implemented

### setStatus

public void setStatus(int status)

### setStatus

public void setStatus(int arg1, String arg2)
Not Implemented

### setupOutputStream

public void setupOutputStream(MockServletOutputStream anOutputStream)